Method: networks.nativeStyles.batchUpdate

Batch updates NativeStyle objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/nativeStyles:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where NativeStyles will be updated. Format: networks/{networkCode} The parent field in the UpdateNativeStyleRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateNativeStyleRequest)
    }
  ]
}
Fields
requests[]

object (UpdateNativeStyleRequest)

Required. The NativeStyle objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for nativeStyles.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "nativeStyles": [
    {
      object (NativeStyle)
    }
  ]
}
Fields
nativeStyles[]

object (NativeStyle)

The NativeStyle objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateNativeStyleRequest

Request object for UpdateNativeStyle method.

JSON representation
{
  "nativeStyle": {
    object (NativeStyle)
  },
  "updateMask": string
}
Fields
nativeStyle

object (NativeStyle)

Required. The NativeStyle to update.

The NativeStyle's name is used to identify the NativeStyle to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".